Skip to main content
POST
/
api
/
v1
/
variants
/
generate
Generate A/B variants
curl --request POST \
  --url https://api.kynva.ai/api/v1/variants/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brief": {},
  "count": 6,
  "dimensions": [
    "headline",
    "cta"
  ],
  "instructions": "<string>",
  "includeOriginal": true
}
'
import requests

url = "https://api.kynva.ai/api/v1/variants/generate"

payload = {
"brief": {},
"count": 6,
"dimensions": ["headline", "cta"],
"instructions": "<string>",
"includeOriginal": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brief: {},
count: 6,
dimensions: ['headline', 'cta'],
instructions: '<string>',
includeOriginal: true
})
};

fetch('https://api.kynva.ai/api/v1/variants/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
brief
object
required

The base StyleBrief to generate variants from

count
number
required

Number of variants to generate

Required range: 2 <= x <= 10
dimensions
enum<string>[]

Which dimensions to vary

Available options:
headline,
body,
cta,
colors,
mood,
style,
layout,
tone,
all
instructions
string

Specific instructions for variation

includeOriginal
boolean
default:true

Include original as variant A (control)

Response

200

Default Response